﻿@{
    ViewData["Title"] = "Viewer File";
}

<script src="https://code.jquery.com/jquery-1.8.2.js"></script>
<script>
    function ViewDocument(file) {
        $("#loader").fadeIn();
        var data = { FileName: file };
        console.log(file);
        $.ajax({
            type: "POST",
            url: '/Document/OnPost',
            data: data,
            dataType: "text"
        }).done(function (data) {
            var folderName = file.replace(".", "_");
            $("#content").empty();
            $("#downloadFile").empty();
            @{
                    var base_url = Url.Content("~/Documents/");
            }
            for (var i = 1; i <= data; i++) {

                $("#content").append("<img src='" + @base_url + folderName + "/page-" + i + ".png'/>");
            }
            $("#downloadFile").append("<a class='btn btn-success' href='@base_url" + file +"' target='_blank'>Tải về</a>");
            $("#loader").fadeOut();
        })
    }
</script>
<script type="text/javascript">
    $(window).load(function () {
        $("#loader").fadeOut(1000);
        if (window.location.href.indexOf("#") > -1) {
            var url = window.location.href;
            var files = url.split("#");
            console.log(files[1]);
            ViewDocument(files[1]);
        }
    });
</script>






<div class="wrapper d-flex  align-items-stretch">
    <nav id="sidebar" class="">
        <div class="custom-menu">
            <button type="button" id="sidebarCollapse" class="btn btn-primary">
                <i class="fa fa-bars"></i>
                <span class="sr-only">Toggle Menu</span>
            </button>
        </div>
        <div class="p-4">
            <h1><a href="index.html" class="logo">Danh sách</a></h1>
            <ul class="list-unstyled components mb-5">
                @if (ViewBag.lstFiles != null)
                {
                    @foreach (string file in ViewBag.lstFiles)
                    {
                        <li class="active">
                            <a href="#@file" onclick="ViewDocument('@file')">@file</a>
                        </li>
                     }
                 }
            </ul>
        </div>
    </nav>

    <div id="content1" class="ml-xl-5 ml-md-5 ml-3">
        <div class="row">
            <div class="col-12">
                <div class="iq-card">
                    <div id="downloadFile"  style="text-align:center;padding:10px"></div>
                    <div id="content"></div>
                </div>
            </div>
        </div>
    </div>

</div>